> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Certificate Summaries

> Lists multiplayer server game certificates for a title.

Allowed entity token types: title

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| APINotEnabledForGameClientAccess | 1082 |
| MultiplayerServerBadRequest | 1382 |
| MultiplayerServerForbidden | 1384 |
| MultiplayerServerInternalServerError | 1387 |
| MultiplayerServerNotFound | 1385 |
| MultiplayerServerTooManyRequests | 1380 |
| MultiplayerServerUnauthorized | 1383 |
| MultiplayerServerUnavailable | 1388 |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/multiplayer/multiplayer.openapi.json post /MultiplayerServer/ListCertificateSummaries
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Multiplayer API
  description: >-
    API methods for managing multiplayer servers. API methods for managing
    parties. The lobby service helps players group together to play multiplayer
    games. It is often used as a rendezvous point for players to share
    connection information. The TrueSkill service helps titles to estimate a
    player's skill based on their match results. The player skill values from
    this service are commonly used by a matchmaking service to provide players
    with balanced matches.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Lobby
    description: ''
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Matchmaking Admin
    description: Matchmaking Admin APIs
  - name: MultiplayerServer
    description: Multiplayer Server APIs
  - name: PubSub
    description: PlayFab PubSub APIs
  - name: TrueSkill
    description: TrueSkill APIs
  - name: TrueSkill Admin
    description: TrueSkill Admin APIs
paths:
  /MultiplayerServer/ListCertificateSummaries:
    post:
      tags:
        - MultiplayerServer
      summary: List Certificate Summaries
      description: |
        Lists multiplayer server game certificates for a title.

        Allowed entity token types: title

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | APINotEnabledForGameClientAccess | 1082 |
        | MultiplayerServerBadRequest | 1382 |
        | MultiplayerServerForbidden | 1384 |
        | MultiplayerServerInternalServerError | 1387 |
        | MultiplayerServerNotFound | 1385 |
        | MultiplayerServerTooManyRequests | 1380 |
        | MultiplayerServerUnauthorized | 1383 |
        | MultiplayerServerUnavailable | 1388 |
        | ProductDisabledForTitle | 1609 |
      operationId: ListCertificateSummaries
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListCertificateSummariesRequest'
        description: Returns a list of multiplayer server game certificates for a title.
      responses:
        '200':
          $ref: '#/components/responses/ListCertificateSummariesResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    ListCertificateSummariesRequest:
      description: Returns a list of multiplayer server game certificates for a title.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        PageSize:
          description: The page size for the request.
          type: number
          x-actualtype: int32
        SkipToken:
          description: The skip token for the paged request.
          type: string
      example:
        PageSize: 10
    ListCertificateSummariesResponse:
      type: object
      properties:
        CertificateSummaries:
          description: The list of game certificates.
          type: array
          items:
            $ref: '#/components/schemas/CertificateSummary'
          x-isclass: true
        PageSize:
          description: The page size on the response.
          type: number
          x-actualtype: int32
        SkipToken:
          description: The skip token for the paged response.
          type: string
      required:
        - PageSize
      example:
        CertificateSummaries:
          - Name: GameCertificate1
            Thumbprint: Thumbprint1
          - Name: GameCertificate2
            Thumbprint: Thumbprint2
        PageSize: 10
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    CertificateSummary:
      type: object
      properties:
        Name:
          description: The name of the certificate.
          type: string
        Thumbprint:
          description: The thumbprint for the certificate.
          type: string
  responses:
    ListCertificateSummariesResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ListCertificateSummariesResponse'
            example:
              code: 200
              status: OK
              data:
                CertificateSummaries:
                  - Name: GameCertificate1
                    Thumbprint: Thumbprint1
                  - Name: GameCertificate2
                    Thumbprint: Thumbprint2
                PageSize: 10
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [List Certificate Summaries](/services/playfab/api-references/rest/multiplayer/multiplayer-server/list-certificate-summaries.md)
- [List Asset Summaries](/services/playfab/api-references/rest/multiplayer/multiplayer-server/list-asset-summaries.md)
- [List Secret Summaries](/services/playfab/api-references/rest/multiplayer/multiplayer-server/list-secret-summaries.md)
- [List Build Summaries V2](/services/playfab/api-references/rest/multiplayer/multiplayer-server/list-build-summaries-v2.md)
- [List Virtual Machine Summaries](/services/playfab/api-references/rest/multiplayer/multiplayer-server/list-virtual-machine-summaries.md)
